AWS Amplify API
AWS Amplify Home
Options
All

- Public
- Public/Protected
- All

Inherited Externals Only exported
Menu

### Hierarchy

- PhotoPickerComponentCore
  - PhotoPickerIonicComponent

### Implements

- any

## Index

### Constructors

- constructor

### Properties

- _storageOptions
- amplifyService
- errorMessage
- hasPhoto
- loaded
- logger
- photoUrl
- picked
- s3ImageFile
- s3ImagePath
- uploaded
- uploading

### Accessors

- data
- path
- storageOptions
- url

### Methods

- _setError
- completeFileUpload
- ngOnInit
- onAlertClose
- onPhotoError
- pick
- uploadFile

## Constructors

### constructor

- new PhotoPickerComponentCore(amplifyService: AmplifyService): PhotoPickerComponentCore

- - Defined in aws-amplify-angular/src/components/storage/photo-picker-component/photo-picker.component.core.ts:66

  #### Parameters

  - ##### amplifyService: AmplifyService

  #### Returns PhotoPickerComponentCore

## Properties

### _storageOptions

_storageOptions: any

- Defined in aws-amplify-angular/src/components/storage/photo-picker-component/photo-picker.component.core.ts:64

### Protected amplifyService

amplifyService: AmplifyService

- Defined in aws-amplify-angular/src/components/storage/photo-picker-component/photo-picker.component.core.ts:68

### errorMessage

errorMessage: string

- Defined in aws-amplify-angular/src/components/storage/photo-picker-component/photo-picker.component.core.ts:65

### hasPhoto

hasPhoto: boolean = false

- Defined in aws-amplify-angular/src/components/storage/photo-picker-component/photo-picker.component.core.ts:60

### loaded

loaded: EventEmitter<string> = new EventEmitter<string>()

- Defined in aws-amplify-angular/src/components/storage/photo-picker-component/photo-picker.component.core.ts:100

### Protected logger

logger: any

- Defined in aws-amplify-angular/src/components/storage/photo-picker-component/photo-picker.component.core.ts:66

### photoUrl

photoUrl: string

- Defined in aws-amplify-angular/src/components/storage/photo-picker-component/photo-picker.component.core.ts:59

### picked

picked: EventEmitter<string> = new EventEmitter<string>()

- Defined in aws-amplify-angular/src/components/storage/photo-picker-component/photo-picker.component.core.ts:97

### s3ImageFile

s3ImageFile: any = null

- Defined in aws-amplify-angular/src/components/storage/photo-picker-component/photo-picker.component.core.ts:62

### s3ImagePath

s3ImagePath: string = ""

- Defined in aws-amplify-angular/src/components/storage/photo-picker-component/photo-picker.component.core.ts:63

### uploaded

uploaded: EventEmitter<Object> = new EventEmitter<Object>()

- Defined in aws-amplify-angular/src/components/storage/photo-picker-component/photo-picker.component.core.ts:103

### uploading

uploading: boolean = false

- Defined in aws-amplify-angular/src/components/storage/photo-picker-component/photo-picker.component.core.ts:61

## Accessors

### data

data:

- Defined in aws-amplify-angular/src/components/storage/photo-picker-component/photo-picker.component.core.ts:89

### path

path:

- Defined in aws-amplify-angular/src/components/storage/photo-picker-component/photo-picker.component.core.ts:84

### storageOptions

storageOptions:

- Defined in aws-amplify-angular/src/components/storage/photo-picker-component/photo-picker.component.core.ts:79

### url

url:

- Defined in aws-amplify-angular/src/components/storage/photo-picker-component/photo-picker.component.core.ts:73

## Methods

### _setError

- _setError(err: any): void

- - Defined in aws-amplify-angular/src/components/storage/photo-picker-component/photo-picker.component.core.ts:166

  #### Parameters

  - ##### err: any

  #### Returns void

### completeFileUpload

- completeFileUpload(error?: any): void

- - Defined in aws-amplify-angular/src/components/storage/photo-picker-component/photo-picker.component.core.ts:148

  #### Parameters

  - ##### Optional error: any

  #### Returns void

### ngOnInit

- ngOnInit(): void

- - Defined in aws-amplify-angular/src/components/storage/photo-picker-component/photo-picker.component.core.ts:105

  #### Returns void

### onAlertClose

- onAlertClose(): void

- - Defined in aws-amplify-angular/src/components/storage/photo-picker-component/photo-picker.component.core.ts:162

  #### Returns void

### onPhotoError

- onPhotoError(): void

- - Defined in aws-amplify-angular/src/components/storage/photo-picker-component/photo-picker.component.core.ts:158

  #### Returns void

### pick

- pick(evt: any): void

- - Defined in aws-amplify-angular/src/components/storage/photo-picker-component/photo-picker.component.core.ts:111

  #### Parameters

  - ##### evt: any

  #### Returns void

### uploadFile

- uploadFile(): void

- - Defined in aws-amplify-angular/src/components/storage/photo-picker-component/photo-picker.component.core.ts:134

  #### Returns void